
#ifndef __VCOMMENT_H
#define __VCOMMENT_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef BUILD_VCOMMENT_DLL
#define VCOMMENT_DLL_EXPORT(NAME) __declspec(dllexport) NAME
#else
#define VCOMMENT_DLL_EXPORT(NAME) __declspec(dllimport) NAME
#endif

typedef void (__cdecl *fn_read_comment)(void *cookie, wchar_t const *k, wchar_t const *v);
typedef void (__cdecl *fn_write_comment)(void *cookie, wchar_t const **k, wchar_t const **v);

int VCOMMENT_DLL_EXPORT(read_vorbis_comments)(wchar_t const *path, fn_read_comment fn, void *cookie);
int VCOMMENT_DLL_EXPORT(write_vorbis_comments)(wchar_t const *path, fn_write_comment fn, void *cookie);

#ifdef __cplusplus
}
#endif

#endif
